// Static methods

class A { }
class B extends A { }
class X { 
    static void sm(A aa) {
	A sa = aa;
    }
    void m(A ma) {
	X.sm(ma);
    }
}
class Y {
    void n(A na) {
	X.sm(na);
    }
}

class Main {
    static public void main(String[] args) /*throws Exception*/ {
	

	X c = new X();
	c.m(new A());

	Y d = new Y();
	d.n(new B());

    }
}
